#include<iostream>
using namespace std;
int main(){
int arr[10000],n=0,d,i;
cin>>n;
for(int i=0;i<n;i++){
    arr[i]=i+1;
}
for(int j=1;j<n;j++){
    int masiv[1000];

    for(int p=0;p<(n/j)+1;p++){

    for(i=0;i<(n/j)+1;i++){
        }
    for(d=0;d<n;d=d+j){
        }
    if(j+1!=n/j+1){
        arr[d]=masiv[i];

        }
    else{
            cout<<"neshto";
        cout<<masiv[n/j];
        break;
        }
    }
}
return 0;
}
